# Generated by Django 4.1.9 on 2023-06-11 14:02

from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Word",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("original_language", models.CharField(max_length=2)),
                ("word", models.CharField(max_length=50, unique=True)),
                ("tag", models.CharField(max_length=50)),
                ("definition", models.TextField()),
                ("fr_traduction", models.CharField(blank=True, max_length=225)),
                ("es_traduction", models.CharField(blank=True, max_length=225)),
                ("en_traduction", models.CharField(blank=True, max_length=225)),
                ("ru_traduction", models.CharField(blank=True, max_length=225)),
                ("it_traduction", models.CharField(blank=True, max_length=225)),
                ("de_traduction", models.CharField(blank=True, max_length=225)),
                ("ar_traduction", models.CharField(blank=True, max_length=225)),
                ("ja_traduction", models.CharField(blank=True, max_length=225)),
                ("zh_traduction", models.CharField(blank=True, max_length=225)),
            ],
            options={
                "verbose_name": "word",
                "verbose_name_plural": "words",
                "ordering": ["word"],
            },
        ),
        migrations.AddIndex(
            model_name="word",
            index=models.Index(fields=["word"], name="nouslisons__word_fafc4d_idx"),
        ),
    ]
